Name:           rkcommon
Version:        1.10.0
Release:        1%{?dist}
Summary:        Intel RenderKit common C++/CMake infrastructure 

License:        ASL-2.0
URL:            https://github.com/ospray/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(tbb) >= 4.4.3

# Build only works on those archs
# Fails on ppc64le with this line:
# /builddir/build/BUILD/rkcommon-1.10.0/rkcommon/tasking/detail/tasking_system_init.cpp:94:33: error: '_MM_FLUSH_ZERO_ON' was not declared in this scope
ExclusiveArch:  x86_64 aarch64

%description
This project represents a common set of C++ infrastructure and CMake utilities 
used by various components of Intel® oneAPI Rendering Toolkit.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
 applications that use %{name}.

%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}_test_suite
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}-%{version}/

%changelog
* Mon Aug 08 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.10.0-1
- Initial package
